This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 801410 - "Error looking up public keys" while ssh to replica using IP address.
"Error looking up public keys" while ssh to replica using IP address.
Status: CLOSED NOTABUG
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: ipa (Show other bugs)
6.3
Unspecified Unspecified
unspecified Severity unspecified
: rc
: ---
Assigned To: Rob Crittenden
IDM QE LIST
:
Depends On:
Blocks: 801719 817406
  Show dependency treegraph
 
Reported: 2012-03-08 08:23 EST by Gowrishankar Rajaiyan
Modified: 2012-04-29 16:13 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
: 801719 (view as bug list)
Environment:
Last Closed: 2012-03-20 13:05:57 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Gowrishankar Rajaiyan 2012-03-08 08:23:35 EST
Description of problem:


Version-Release number of selected component (if applicable):
ipa-server-2.2.0-3.el6.x86_64

How reproducible:
Always

Steps to Reproduce:
1. Install ipa-server with dns
2. Install ipa-server replica

3. [root@primenova ~]# ipa dnsrecord-find lab.eng.pnq.redhat.com goldbug 
  Record name: @
  NS record: primenova.lab.eng.pnq.redhat.com., goldbug.lab.eng.pnq.redhat.com.
...
  Record name: goldbug
  A record: 10.65.201.101
  SSHFP record: 1 1 A7E007E7EFF842656F17C0A12BEDAD7522C04C1B, 2 1 BED1634D80799DEFDE344DAFDDDF8B56E0EB75E5
-----------------------------
Number of entries returned 10
-----------------------------

4. [root@primenova ~]# ssh goldbug.lab.eng.pnq.redhat.com
root@goldbug.lab.eng.pnq.redhat.com's password: 

5. [root@primenova ~]# ssh 10.65.201.101

  
Actual results:
Error looking up public keys
root@10.65.201.101's password: 

Expected results:
Reverse SSHFP lookup should be successful and "Error looking up public keys" should not be displayed.

Additional info:
Comment 2 Martin Kosek 2012-03-09 04:20:41 EST
This check is for SSSD, I wil clone the BZ to this component. I can leave this BZ as a tracker for IPA.
Comment 3 Martin Kosek 2012-03-20 13:05:57 EDT
I will close this BZ, the issue will be fixed in sssd.

Note You need to log in before you can comment on or make changes to this bug.